#!/usr/bin/env zsh
#iosevka - possibly using a helper tool?
printf "\e[32mMake sure to install Iosevka font\n\e[0m"
#pyenv $PATH - part of .zshenv
printf "\e[32mInstall pyenv if you want it\n\e[0m"
#thefuck $PATH - pip install thefuck
if [[ ! (-x "$(command -v thefuck)") ]]
then
	pip install thefuck
fi
#antigen ~/.antigen - git clone https://github.com/zsh-users/antigen.git ~/.antigen
if [[ !(-d $HOME/.antigen/) ]]
then
	git clone https://github.com/zsh-users/antigen.git ~/.antigen
fi
#nvim $PATH - pkgmngr install nvim/neovim
if [[ ! ( -x "$(command -v nvim)") ]]
then
	if [[ ($(uname) -eq "Darwin") && ( $(command -v brew; echo $?) == 0 ) ]]
	then
		/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
		brew install neovim
	elif [[ ! ( -x "$(command -v pacman)") ]]
	then
		pacman -Sy neovim
	elif [[ ! ( -x "$(command -v apt-get)") ]]
	then
		apt-get install neovim
	elif [[ ! ( -x "$(command -v dnf)") ]]
	then
		dnf install neovim
	else
		printf "\e[32m\e[32mCouldn't figure out which package manager you use. Install nvim manually\n\e[0m"
	fi
fi

#AndroidSDK ~/Android/sdk - Ugh. Through IDEA?
printf "\e[32mMake sure to install the Android SDK into $HOME/Android\n"
